<script setup lang="ts">
import { inject, type Ref } from 'vue'
import { useAuthStore } from '@/stores/auth'

const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
const authStore = useAuthStore()
</script>
<template>
  <v-navigation-drawer
    color="#DFBA92"
    v-model="drawer"
    :rail="rail"
    permanent
    @click="rail = false"
  >
    <v-list-item
      prepend-avatar="https://randomuser.me/api/portraits/men/85.jpg"
      :title="authStore.getCurrentUser()?.email"
      nav
    >
      <template v-slot:append>
        <v-btn variant="text" icon="mdi-chevron-left" @click.stop="rail = !rail"></v-btn>
      </template>
    </v-list-item>

    <v-divider></v-divider>

    <v-list density="compact" nav>
      <v-list-item
        prepend-icon="mdi-cart"
        title="Point of Sell"
        value="pos"
        :to="{ name: 'pos' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-ticket-percent-outline"
        title="Promotion"
        value="promotion"
        :to="{ name: 'promotion' }"
      ></v-list-item>

      <!-- Stock -->
      <v-list-group>
        <template v-slot:activator="{ props }">
          <v-list-item v-bind="props" prepend-icon="mdi-package" title="Stock"></v-list-item>
        </template>
        <v-list-item
          prepend-icon="mdi-package-variant-closed"
          title="Stock Management"
          value="stocks"
          :to="{ path: '/stocks' }"
        ></v-list-item>
        <v-list-item
          prepend-icon="mdi-home-city"
          title="Buy Stock"
          value="buystock"
          :to="{ name: 'buystock' }"
        ></v-list-item>
        <v-list-item
          prepend-icon="mdi-home-city"
          title="Add Stock For Buy"
          value="addbuystock"
          :to="{ name: 'addbuystock' }"
        ></v-list-item>
      </v-list-group>

      <v-list-item
        prepend-icon="mdi-account-group"
        title="Member Management"
        value="member"
        :to="{ path: '/member' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-account"
        title="Employee Management"
        value="employee"
        :to="{ path: '/employee' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-account-tie"
        title="User Management"
        value="user"
        :to="{ path: '/user' }"
      ></v-list-item>

      <v-list-group>
        <template v-slot:activator="{ props }">
          <v-list-item v-bind="props" prepend-icon="mdi-receipt" title="Receipt"></v-list-item>
        </template>
        <v-list-item prepend-icon="mdi-package-variant-closed" title="Receipt Order"></v-list-item>
        <v-list-item prepend-icon="mdi-package-variant-closed" title="Receipt Stock"></v-list-item>
      </v-list-group>

      <v-list-item
        prepend-icon="mdi-store"
        title="Branch Management"
        value="branch"
        :to="{ path: '/branch' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-logout"
        title="Logut"
        value="Logut"
        @click="authStore.logout()"
      ></v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>
